### Enumeration

# WebKit2 NavigationType

#### Declaration

    enum WebKit2.NavigationType

#### Description [src]

Enum values used to denote the various navigation types.

#### Members

`WEBKIT_NAVIGATION_TYPE_LINK_CLICKED`

  The navigation was triggered by clicking a link.

  - Value: `0`
  - Available since: 4.1
`WEBKIT_NAVIGATION_TYPE_FORM_SUBMITTED`

  The navigation was triggered by submitting a form.

  - Value: `1`
  - Available since: 4.1
`WEBKIT_NAVIGATION_TYPE_BACK_FORWARD`

  The navigation was triggered by navigating forward or backward.

  - Value: `2`
  - Available since: 4.1
`WEBKIT_NAVIGATION_TYPE_RELOAD`

  The navigation was triggered by reloading.

  - Value: `3`
  - Available since: 4.1
`WEBKIT_NAVIGATION_TYPE_FORM_RESUBMITTED`

  The navigation was triggered by resubmitting a form.

  - Value: `4`
  - Available since: 4.1
`WEBKIT_NAVIGATION_TYPE_OTHER`

  The navigation was triggered by some other action.

  - Value: `5`
  - Available since: 4.1